require_relative 'base_hash_function'

# This class inherits from BaseHashFunction.
#
# It sets the \SHA1 program that will be used and computes the digest length after parsing the output of the program.
class SHA1 < BaseHashFunction

  PROGRAM_NAME = "sha1sum"

  def initialize(params="")
    super(params)
    @fuzzy = false
  end
  
  # Example digest:
  #
  # b0ee5f4325a9766956d2a56f28dc96066eaa8b8a  /var/fileset/0000_10.odt
  def self.file_stats(digest)
      info_hash = {}
      info_hash[:filename] = digest[40..-1].strip # "/var/fileset/0000_10.odt"
      info_hash[:filesize] = File.size info_hash[:filename]
      info_hash[:digest] = digest[0...40] # "b0ee5f4325a9766956d2a56f28dc96066eaa8b8a"
      info_hash[:digest_length] = 20
      return info_hash    
  end
  
end