class Numeric
  def duration
    secs  = self.to_int
    mins  = secs / 60
    hours = mins / 60
    days  = hours / 24

    if days > 0
      "#{days} days and #{hours % 24} hours"
    elsif hours > 0
      "#{hours} hours and #{mins % 60} minutes"
    elsif mins > 0
      "#{mins} minutes and #{secs % 60} seconds"
    elsif secs >= 0
      "#{secs} seconds"
    end
  end
end
  
  
module Helper  
  def realtime
    Benchmark.realtime {yield}
  end
  
  def exit_if_no_files_given(filenames=nil, dirnames=nil)
    if (filenames.nil? or filenames.empty?) and (dirnames.nil? or dirnames.empty?)
      puts "Error: No file(s) given."
      exit 1
    end
  end

  def percent_in_bytes(file=nil, percent=nil)
    return (File.size(file)*percent/100.0).floor unless file.nil? or percent.nil?
    nil
  end
  
  def find_all_files(dirnames)
    %x[find #{dirnames.map{|d| '"'+d+'"'}.join(' ')} #{"-maxdepth #{$options.max_depth}" if $options.max_depth} -type f].split("\n").sort.uniq.flatten
  end

end